org.eclipse.gef.dot.internal.ui

## Class DotArrowShapeDecorations

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.DotArrowShapeDecorations

    public class DotArrowShapeDecorations
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `DotArrowShapeDecorations.IPrimitiveShape`

### Constructor Summary

Constructors
Constructor and Description
`DotArrowShapeDecorations()`

### Method Summary

All Methods Static Methods Concrete Methods
`static javafx.scene.Node` `get(org.eclipse.gef.dot.internal.language.arrowtype.ArrowType arrowType, double arrowSize)` Returns the dot arrow shape decoration corresponding to the arrowType parameter.
`static javafx.scene.Node` `getDefault(double arrowSize, boolean isGraphDirected)` Returns the default dot arrow shape decoration for directed/non-directed graphs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotArrowShapeDecorations

    public DotArrowShapeDecorations()

### Method Detail

#### getDefault

    public static javafx.scene.Node getDefault(double arrowSize,
                                               boolean isGraphDirected)

Returns the default dot arrow shape decoration for directed/non-directed graphs.

Parameters:
  `arrowSize` - The size of the arrow shape decoration.
  `isGraphDirected` - true if the graph is directed, false otherwise
Returns:
  The default dot arrow shape decoration

#### get

    public static javafx.scene.Node get(org.eclipse.gef.dot.internal.language.arrowtype.ArrowType arrowType,
                                        double arrowSize)

Returns the dot arrow shape decoration corresponding to the arrowType parameter.

Parameters:
  `arrowType` - The arrow type for which the dot edge decoration should be determined.
  `arrowSize` - The size of the arrow shape decoration.
Returns:
  The dot arrow shape decoration.